Subject: ANNOUNCE: DBD::XBase 0.058 uploaded to CPAN
From: [email-masked] (Honza Pazdziora)
Date: 20 Feb 1998 13:03:28 GMT
Newsgroups: comp.lang.perl.announce,comp.lang.perl.modules

Hello,

the URL

    http://www.fi.muni.cz/~adelton/perl/DBD-XBase-0.058.tar.gz

has entered CPAN as

  file: $CPAN/authors/id/JANPAZ/DBD-XBase-0.058.tar.gz
  size: 29049 bytes
   md5: 2d2ee65686642316f8a3934930fb09f3

A package to read and write dbf, dbt and ftp files, both direct
interface (get_record($recno)) and DBI driver (select * from table).

Since the last public release 0.039 there are some significant
changes: except bug fixes in the core XBase.pm it's the DBD driver.
I have come to a fairly general parser (to be found in XBase::SQL)
during the time, and it should allow easier modifications according to
the standards. At present, select, delete, insert, update and create
table commands are recognized and supported by DBD::XBase. No
bind_params yet but I hope to add them soon.

I will take a rest with new versions for a while, wait for possible
bug reports concerning the core XBase.pm (which I believe is rather
stable now) and study the DBI 0.92 to make DBD::XBase compliant.
I will appreciate any comments about the module (both XBase and
DBD::XBase), so if you have a little time, try to use it and tell me
what you think. The DBD::XBase is not ready yet but you can always
check the source to see if the problem you experience is a bug or an
not-yet-supported feature.

The README will be on CPAN, so here I include the changelog since 0.039:

	XBase::SQL rewritten, DBD::XBase now supports select, delete,
	insert, update and create table. Documentation for DBD::XBase
	extended. DBD::XBase is still alpha, now my effort will go to
	support everything that DBI 0.92 requires.

	Added support for fpt memo files.

	Fixed bug with dBase IV memo files, the block length is stored
	somewhere else, patch by James LewisMoss. Fixed bug with field
	names in newer dbf files, terminated by zero byte, patch by Petr
	Olsak. Added binmode for the OSes that write to disk something
	else that they are told to, reported by Robert Bauer. Removed
	the test that caused read to fail on read-only files, reported
	by Stewart Russell. Fixed bug on reading floating values,
	spotted by Carlos Augusto de Almeida.

	The error handling reviewed, most of the error messages are
	now local to the object ($table->errstr()).

Enjoy and let me know about both positive and negative results,

--
------------------------------------------------------------------------
 Honza Pazdziora | [email-masked] | http://www.fi.muni.cz/~adelton/
                   I can take or leave it if I please
------------------------------------------------------------------------